# Uses of Class
org.apache.lucene.codecs.KnnVectorsFormat

Packages that use KnnVectorsFormat
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene100
Lucene 10.0 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.

## Uses of KnnVectorsFormat in org.apache.lucene.codecs

Fields in org.apache.lucene.codecs declared as KnnVectorsFormat
Modifier and Type
Field
Description
`static final KnnVectorsFormat`
KnnVectorsFormat.`EMPTY`
EMPTY throws an exception when written.
Methods in org.apache.lucene.codecs that return KnnVectorsFormat
Modifier and Type
Method
Description
`static KnnVectorsFormat`
KnnVectorsFormat.`forName(String name)`
looks up a format by name
`abstract KnnVectorsFormat`
Codec.`knnVectorsFormat()`
Encodes/decodes numeric vector fields
`KnnVectorsFormat`
FilterCodec.`knnVectorsFormat()`

## Uses of KnnVectorsFormat in org.apache.lucene.codecs.hnsw

Subclasses of KnnVectorsFormat in org.apache.lucene.codecs.hnsw
Modifier and Type
Class
Description
`class`
`FlatVectorsFormat`
Encodes/decodes per-document vectors and provides a scoring interface for the flat stored vectors

## Uses of KnnVectorsFormat in org.apache.lucene.codecs.lucene100

Methods in org.apache.lucene.codecs.lucene100 that return KnnVectorsFormat
Modifier and Type
Method
Description
`KnnVectorsFormat`
Lucene100Codec.`getKnnVectorsFormatForField(String field)`
Returns the vectors format that should be used for writing new segments of `field`
`final KnnVectorsFormat`
Lucene100Codec.`knnVectorsFormat()`

## Uses of KnnVectorsFormat in org.apache.lucene.codecs.lucene99

Subclasses of KnnVectorsFormat in org.apache.lucene.codecs.lucene99
Modifier and Type
Class
Description
`final class`
`Lucene99FlatVectorsFormat`
Lucene 9.9 flat vector format, which encodes numeric vector values
`class`
`Lucene99HnswScalarQuantizedVectorsFormat`
Lucene 9.9 vector format, which encodes numeric vector values into an associated graph connecting the documents having values.
`final class`
`Lucene99HnswVectorsFormat`
Lucene 9.9 vector format, which encodes numeric vector values into an associated graph connecting the documents having values.
`class`
`Lucene99ScalarQuantizedVectorsFormat`
Format supporting vector quantization, storage, and retrieval

## Uses of KnnVectorsFormat in org.apache.lucene.codecs.perfield

Subclasses of KnnVectorsFormat in org.apache.lucene.codecs.perfield
Modifier and Type
Class
Description
`class`
`PerFieldKnnVectorsFormat`
Enables per field numeric vector support.
Methods in org.apache.lucene.codecs.perfield that return KnnVectorsFormat
Modifier and Type
Method
Description
`abstract KnnVectorsFormat`
PerFieldKnnVectorsFormat.`getKnnVectorsFormatForField(String field)`
Returns the numeric vector format that should be used for writing new segments of `field` .